Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions
_TessMemberResultCallback_0_0< del, void, T > Class Template Reference

`#include <tesscallback.h>`

Inheritance diagram for _TessMemberResultCallback_0_0< del, void, T >:

List of all members.

## Public Types

typedef TessClosure | base
typedef void(T::* | MemberSignature )()

## Public Member Functions

| _TessMemberResultCallback_0_0 (T *object, MemberSignature member)
virtual void | Run ()
Public Member Functions inherited from TessClosure
virtual | ~TessClosure ()

## Detailed Description

### template<bool del, class T>
class _TessMemberResultCallback_0_0< del, void, T >

Definition at line 155 of file tesscallback.h.

## Member Typedef Documentation

template<bool del, class T >

typedef TessClosure _TessMemberResultCallback_0_0< del, void, T >::base

Definition at line 158 of file tesscallback.h.

template<bool del, class T >

typedef void(T::* _TessMemberResultCallback_0_0< del, void, T >::MemberSignature)()

Definition at line 159 of file tesscallback.h.

## Constructor & Destructor Documentation

template<bool del, class T >

_TessMemberResultCallback_0_0< del, void, T >::_TessMemberResultCallback_0_0 | ( | T * | object,
|  | MemberSignature | member
| ) |  |

inline

Definition at line 166 of file tesscallback.h.

: object_(object),
member_(member) {
}

## Member Function Documentation

template<bool del, class T >

virtual void _TessMemberResultCallback_0_0< del, void, T >::Run | ( |  | ) |

inlinevirtual

Implements TessClosure.

Definition at line 172 of file tesscallback.h.

{
if (!del) {
(object_->*member_)();
} else {
(object_->*member_)();
// zero out the pointer to ensure segfault if used again
member_ = NULL;
delete this;
}
}

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccutil/tesscallback.h